Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/test.h	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/test.h	(revision 82)
@@ -7,4 +7,5 @@
  */
 
+#define CYCLE_MAX     1024
 
 #include "Common/include/Time.h"
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test1.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test1.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test1.cpp	(revision 82)
@@ -7,33 +7,8 @@
  */
 
+  /*
+
 #include <queue>
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/test.h"
-
-#define NB_ITERATION  1
-#define CYCLE_MAX     (1024*NB_ITERATION)
-
-#define LABEL(str)							\
-  {									\
-    cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} " << str << endl; \
-  } while(0)
-
-#define SC_START(cycle_offset)						\
-  do									\
-    {									\
-      /*cout << "SC_START (begin)" << endl;*/				\
-									\
-      uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time()); \
-      if (cycle_offset != 0)						\
-	{								\
-	  cout << "##########[ cycle "<< cycle_current+cycle_offset << " ]" << endl; \
-	}								\
-									\
-      if (cycle_current > CYCLE_MAX)					\
-	{								\
-	  TEST_KO("Maximal cycles Reached");				\
-	}								\
-      sc_start(cycle_offset);						\
-      /*cout << "SC_START (end  )" << endl;*/				\
-    } while(0)
 
 
@@ -55,7 +30,5 @@
   
 #ifdef SYSTEMC
-  /*********************************************************************
-   * Déclarations des signaux
-   *********************************************************************/
+
   string rename = "";
 
@@ -129,7 +102,5 @@
     }
   
-  /********************************************************
-   * Instanciation
-   ********************************************************/
+  // Instanciation
   
   cout << "<" << name << "> Instanciation of _Load_store_unit" << endl;
@@ -215,7 +186,5 @@
   Time * _time = new Time();
 
-  /********************************************************
-   * Simulation - Begin
-   ********************************************************/
+  // Simulation - Begin
 
   // Initialisation
@@ -656,5 +625,5 @@
 		}
 
-	      LABEL("DCACHE_RSP : "+toString(in_DCACHE_RSP_VAL->read())+" - "+toString(out_DCACHE_RSP_ACK ->read()));
+		LABEL("DCACHE_RSP : "+toString(in_DCACHE_RSP_VAL->read())+" - "+toString(out_DCACHE_RSP_ACK ->read()));
 	      if (in_DCACHE_RSP_VAL->read() and out_DCACHE_RSP_ACK->read())
 		{
@@ -677,7 +646,5 @@
 
   
-  /********************************************************
-   * Simulation - End
-   ********************************************************/
+  // Simulation - End
 
   TEST_OK ("End of Simulation");
@@ -755,2 +722,3 @@
 #endif
 }
+  */
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test2.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test2.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/src/test2.cpp	(revision 82)
@@ -9,31 +9,4 @@
 #include <queue>
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/test.h"
-
-#define CYCLE_MAX     1024
-
-#define LABEL(str)							\
-  {									\
-    cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} " << str << endl; \
-  } while(0)
-
-#define SC_START(cycle_offset)						\
-  do									\
-    {									\
-      /*cout << "SC_START (begin)" << endl;*/				\
-									\
-      uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time()); \
-      if (cycle_offset != 0)						\
-	{								\
-	  cout << "##########[ cycle "<< cycle_current+cycle_offset << " ]" << endl; \
-	}								\
-									\
-      if (cycle_current > CYCLE_MAX)					\
-	{								\
-	  TEST_KO("Maximal cycles Reached");				\
-	}								\
-      sc_start(cycle_offset);						\
-      /*cout << "SC_START (end  )" << endl;*/				\
-    } while(0)
-
 
 //===================================================================={test}
@@ -71,5 +44,6 @@
 							    _parameters_statistics,
 #endif
-							    _param);
+							    _param,
+							    USE_ALL);
   
 #ifdef SYSTEMC
@@ -487,10 +461,10 @@
 	      SC_START(0);
 
-	      LABEL("MEMORY_IN  : "+toString(in_MEMORY_IN_VAL ->read())+" - "+toString(out_MEMORY_IN_ACK ->read()));
+	      LABEL("MEMORY_IN  : %d - %d",in_MEMORY_IN_VAL ->read(),out_MEMORY_IN_ACK ->read());
 	      if ( in_MEMORY_IN_VAL ->read() and out_MEMORY_IN_ACK ->read())
 		{
 		  Tpacket_t  packet_id = in_MEMORY_IN_PACKET_ID->read();
 
-		  LABEL(" * Accepted MEMORY_IN  : " + toString(packet_id));
+		  LABEL(" * Accepted MEMORY_IN  : %d",packet_id);
 		  cout << fifo_request.top();
 
@@ -509,10 +483,10 @@
 		}
 
-	      LABEL("MEMORY_OUT : "+toString(out_MEMORY_OUT_VAL->read())+" - "+toString(in_MEMORY_OUT_ACK ->read()));
+	      LABEL("MEMORY_OUT : %d - %d",out_MEMORY_OUT_VAL->read(),in_MEMORY_OUT_ACK ->read());
 	      if (out_MEMORY_OUT_VAL->read() and  in_MEMORY_OUT_ACK->read())
 		{
 		  Tpacket_t  packet_id = out_MEMORY_OUT_PACKET_ID->read();
 
-		  LABEL(" * Accepted MEMORY_OUT : " + toString(packet_id));
+		  LABEL(" * Accepted MEMORY_OUT : %d",packet_id);
 
 		  if (is_operation_memory_store(tab_request[packet_id]._operation))
@@ -650,5 +624,5 @@
 		}
 
-	      LABEL("DCACHE_REQ : "+toString(out_DCACHE_REQ_VAL->read())+" - "+toString(in_DCACHE_REQ_ACK ->read()));
+	      LABEL("DCACHE_REQ : %d - %d",out_DCACHE_REQ_VAL->read(),in_DCACHE_REQ_ACK ->read());
 	      if (out_DCACHE_REQ_VAL->read() and  in_DCACHE_REQ_ACK->read())
 		{
@@ -665,5 +639,5 @@
 		  packet_id  = (out_DCACHE_REQ_PACKET_ID ->read())>>1;
 	      
-		  LABEL(" * Accepted DCACHE_REQ : " + toString(packet_id));
+		  LABEL(" * Accepted DCACHE_REQ : %d",packet_id);
 
 		  if (address >= size_memory)
@@ -676,5 +650,5 @@
 		    {
 		      rdata = _memory->access (context_id, address, out_DCACHE_REQ_TYPE->read(), out_DCACHE_REQ_WDATA->read());
-		      LABEL("   * rdata : " + toString(rdata));
+		      LABEL("   * rdata : 0x%x",rdata);
 		    }
 
@@ -699,5 +673,5 @@
 		}
 
-	      LABEL("DCACHE_RSP : "+toString(in_DCACHE_RSP_VAL->read())+" - "+toString(out_DCACHE_RSP_ACK ->read()));
+	      LABEL("DCACHE_RSP : %d - %d",in_DCACHE_RSP_VAL->read(),out_DCACHE_RSP_ACK ->read());
 	      if (in_DCACHE_RSP_VAL->read() and out_DCACHE_RSP_ACK->read())
 		{
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 82)
@@ -30,4 +30,5 @@
 #include "Behavioural/include/Vhdl.h"
 #endif
+#include "Behavioural/include/Usage.h"
 
 namespace morpheo {
@@ -48,7 +49,7 @@
     // -----[ fields ]----------------------------------------------------
     // Parameters
-  protected : const std::string       _name;
-
+  protected : const std::string  _name;
   protected : const Parameters * _param;
+  private   : const Tusage_t     _usage;
 
 #ifdef STATISTICS
@@ -202,5 +203,6 @@
    morpheo::behavioural::Parameters_Statistics * param_statistics,
 #endif
-   Parameters                                  * param );
+   Parameters                                  * param,
+   morpheo::behavioural::Tusage_t                usage );
   public  :          ~Load_store_unit             (void);
 					       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit.cpp	(revision 82)
@@ -20,15 +20,20 @@
 #undef  FUNCTION
 #define FUNCTION "Load_store_unit::Load_store_unit"
+  Load_store_unit::Load_store_unit 
+  (
 #ifdef SYSTEMC
-  Load_store_unit::Load_store_unit (sc_module_name name,
+   sc_module_name name,
 #else
-  Load_store_unit::Load_store_unit (string name,
+   std::string name,
 #endif
 #ifdef STATISTICS
-			  morpheo::behavioural::Parameters_Statistics * param_statistics,
+   morpheo::behavioural::Parameters_Statistics * param_statistics,
 #endif
-			  morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_execute_unit::execute_unit::load_store_unit::Parameters * param ):
-			      _name              (name)
-			      ,_param            (param)
+   morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_execute_unit::execute_unit::load_store_unit::Parameters * param ,
+   morpheo::behavioural::Tusage_t usage
+   ):
+    _name              (name)
+    ,_param            (param)
+    ,_usage (usage)
   {
     log_printf(FUNC,Load_store_unit,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp	(revision 82)
@@ -26,5 +26,5 @@
     log_printf(FUNC,Load_store_unit,FUNCTION,"Begin");
 
-    _component   = new Component ();
+    _component   = new Component (_usage);
 
     Entity * entity = _component->set_entity (_name       
